/*
 * This file is part of Skyward Hub.
 *
 * Skyward Hub is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Skyward Hub is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Skyward Hub. If not, see <https://www.gnu.org/licenses/>.
 *
 */

#pragma once

#include <QMap>
#include <QSet>

#include "Field.h"
#include "Topic.h"

/**
 * @brief Messages associates values to topics.
 */
class Message
{
public:
    Message();
    explicit Message(Topic topic);

    void setTopic(Topic topic);
    Topic getTopic() const;

    void setField(QString key, const Field& field);
    Field getField(QString key) const;
    bool removeField(QString key);

    void setFields(const QMap<QString, Field>& fields);
    QMap<QString, Field> getFields() const;

    void filterFields(const QSet<QString>& fields);

    QString toString() const;

private:
    Topic topic;
    QMap<QString, Field> fields;
};