/*
 * This file is part of Skyward Hub.
 *
 * Skyward Hub is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Skyward Hub is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Skyward Hub. If not, see <https://www.gnu.org/licenses/>.
 *
 */

#include "EmptyModule.h"

#include <QBoxLayout>
#include <QPushButton>

EmptyModule::EmptyModule() : Module(ModuleId::EMPTY) { setupUi(); }

void EmptyModule::setupUi()
{
    QVBoxLayout *layout1 = new QVBoxLayout;
    QHBoxLayout *layout2 = new QHBoxLayout;
    layout1->addLayout(layout2);

    QPushButton *button = new QPushButton;
    button->setText("Select a module");

    layout2->addStretch();
    layout2->addWidget(button);
    layout2->addStretch();

    connect(button, &QPushButton::clicked, this, &Module::onReplaceMe);

    setLayout(layout1);
}
